> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payout Quote

> Lock in the exact amount to be deducted for a payout. The API returns the fees along with exchange rates which will be applicable to the payout. The payout quote generated will be unique to your account.

* Holding currency refers to the balance currency. This is the currency whose balance will fund the payout. In case it is not specified in the request to create a quote, the holding currency will be determined based on this priority order.
  * Payout Currency if the payout currency is one of the balance currencies for the account.
  * Primary Holding Currency
* Destination Currency refers to the currency in which Tazapay will transfer funds to the beneficiary. In case it is not specified in the request to create a quote, the payout currency will be considered as the destination currency.
* Payout Currency and Payout Amount are mandatory requirements to generate a quote.
* The id returned in the response can be passed in the `quote` parameter in the Create Payout request to lock the exchange rates and amount to be deducted from the balance.


## OpenAPI

````yaml post /v3/payout/quote
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/payout/quote:
    post:
      operationId: post_v3payoutquote
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                payout_type:
                  type: string
                  default: local
                  description: >-
                    Type of the payout. Possible values - `swift`, `local`,
                    `local_payment_network`, `wallet`, `tazapay_account`
                local:
                  type: object
                  properties:
                    fund_transfer_network:
                      type: string
                      description: >-
                        Type of the fund_transfer_network (example - chats in
                        HK).
                  description: >-
                    Object containing additional details if the payout_type is
                    local
                  required: []
                holding_info:
                  type: object
                  properties:
                    amount:
                      type: integer
                      description: >-
                        Amount in cents. For decimal currency handling, refer to
                        <a href = '/decimal-currencies'>this</a>.
                    currency:
                      type: string
                      description: Currency - in ISO format
                  description: Amount in balance (holding) currency
                  required:
                    - currency
                payout_info:
                  type: object
                  properties:
                    amount:
                      type: integer
                      description: >-
                        Amount in cents. For decimal currency handling, refer to
                        <a href = '/decimal-currencies'>this</a>.
                    currency:
                      type: string
                      description: Currency - in ISO format
                  description: Amount in payout currency
                  required:
                    - currency
                    - amount
                destination_info:
                  type: object
                  properties:
                    amount:
                      type: integer
                      description: >-
                        Amount in cents. For decimal currency handling, refer to
                        <a href = '/decimal-currencies'>this</a>.
                    currency:
                      type: string
                      description: Currency - in ISO format
                    country:
                      type: string
                      description: >-
                        Two letter country code - in ISO format / Represents
                        beneficiary bank country
                  description: >-
                    Amount in destination currency (currency in which
                    beneficiary receives the funds)
                  required:
                    - currency
                    - country
                local_payment_network:
                  type: object
                  properties:
                    type:
                      type: string
                      description: Type of the local payment network
                  description: >-
                    Object containing additional details if the payout type is
                    local_payment_network
                wallet:
                  type: object
                  properties:
                    type:
                      type: string
                      description: Type of the wallet (or blockchain)
                  description: >-
                    Object containing additional details if the payout type is
                    wallet
                swift:
                  type: object
                  description: >-
                    Object containing additional details if the payout_type is
                    `swift
                  properties:
                    charge_type:
                      type: string
                      description: '`shared` or `ours`'
              type: object
              required:
                - payout_type
                - payout_info
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                Local Payout with Fund Transfer Network:
                  summary: Local Payout - Hong Kong CHATS
                  value:
                    id: poq_d3inm6ami8u10oqfm
                    local:
                      fund_transfer_network: chats
                    local_payment_network:
                      payment_network: ''
                    object: payout_quote
                    payout_type: local
                    holding_info:
                      currency: USD
                      amount: 640000
                    payout_info:
                      currency: HKD
                      amount: 5000000
                    destination_info:
                      currency: HKD
                      amount: 5000000
                    fee_info:
                      fixed:
                        in_holding_currency: 200
                        in_payout_currency: 15
                      variable:
                        in_holding_currency: 1280
                        in_payout_currency: 100
                    exchange_rates:
                      holding_to_payout: 7.81
                      payout_to_destination: 1
                    valid_until: '2024-12-03T14:30:00+08:00'
                    status: active
                    created_at: '2024-12-03T14:00:00+08:00'
                    updated_at: '2024-12-03T14:00:00+08:00'
                    wallet: {}
                Local Payment Network - PIX:
                  summary: PIX Payout Brazil
                  value:
                    id: poq_d3inm6ami8u10oqfn
                    local:
                      fund_transfer_network: pix
                    local_payment_network:
                      payment_network: pix_brl
                    object: payout_quote
                    payout_type: local_payment_network
                    holding_info:
                      currency: USD
                      amount: 19600
                    payout_info:
                      currency: BRL
                      amount: 100000
                    destination_info:
                      currency: BRL
                      amount: 100000
                    fee_info:
                      fixed:
                        in_holding_currency: 150
                        in_payout_currency: 765
                      variable:
                        in_holding_currency: 196
                        in_payout_currency: 1000
                    exchange_rates:
                      holding_to_payout: 5.1
                      payout_to_destination: 1
                    valid_until: '2024-12-03T17:00:00-03:00'
                    status: active
                    created_at: '2024-12-03T16:30:00-03:00'
                    updated_at: '2024-12-03T16:30:00-03:00'
                    wallet: {}
                Crypto Wallet Payout:
                  summary: USDC on Ethereum
                  value:
                    id: poq_d3inm6ami8u10oqfp
                    local:
                      fund_transfer_network: ethereum
                    local_payment_network:
                      payment_network: ''
                    object: payout_quote
                    payout_type: wallet
                    holding_info:
                      currency: USD
                      amount: 100000
                    payout_info:
                      currency: USDC
                      amount: 100000000
                    destination_info:
                      currency: USDC
                      amount: 100000000
                    fee_info:
                      fixed:
                        in_holding_currency: 100
                        in_payout_currency: 1000000
                      variable:
                        in_holding_currency: 0
                        in_payout_currency: 0
                    exchange_rates:
                      holding_to_payout: 1000
                      payout_to_destination: 1
                    valid_until: '2024-12-03T20:45:00+00:00'
                    status: active
                    created_at: '2024-12-03T20:30:00+00:00'
                    updated_at: '2024-12-03T20:30:00+00:00'
                    wallet:
                      type: ethereum
                      network: mainnet
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the payout quote
                  object:
                    type: string
                    description: Type of the object
                  payout_type:
                    type: string
                    description: Type of payout (e.g., local, swift)
                  holding_info:
                    type: object
                    description: Details about the holding currency and amount
                    properties:
                      currency:
                        type: string
                        description: Currency of the holding balance
                      amount:
                        type: number
                        description: Amount available in holding currency
                  payout_info:
                    type: object
                    description: Information about payout currency and amount
                    properties:
                      currency:
                        type: string
                        description: Currency of the payout
                      amount:
                        type: number
                        description: Payout amount in payout currency
                  destination_info:
                    type: object
                    description: Information about destination currency and amount
                    properties:
                      currency:
                        type: string
                        description: Currency of the destination
                      amount:
                        type: number
                        description: Amount received in destination currency
                  fee_info:
                    type: object
                    description: Breakdown of fixed and variable fees
                    properties:
                      fixed:
                        type: object
                        description: Fixed fee details
                        properties:
                          in_holding_currency:
                            type: number
                            description: Fixed fee amount in holding currency
                          in_payout_currency:
                            type: number
                            description: Fixed fee amount in payout currency
                      variable:
                        type: object
                        description: Variable fee details
                        properties:
                          in_holding_currency:
                            type: number
                            description: Variable fee amount in holding currency
                          in_payout_currency:
                            type: number
                            description: Variable fee amount in payout currency
                  exchange_rates:
                    type: object
                    description: Exchange rates used in the payout quote
                    properties:
                      holding_to_payout:
                        type: number
                        description: Exchange rate from holding to payout currency
                      payout_to_destination:
                        type: number
                        description: Exchange rate from payout to destination currency
                  valid_until:
                    type: string
                    description: Timestamp until which the quote is valid (ISO 8601 format)
                  status:
                    type: string
                    description: Status of the payout quote
                  created_at:
                    type: string
                    description: Timestamp when the payout quote was created
                  updated_at:
                    type: string
                    description: Timestamp when the payout quote was last updated
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````